<!DOCTYPE html>
<html lang="en">

<head>
  <title>My CashTokens Webwallet</title>
  <link rel="icon" type="image/png" href="/images/favicon.png">
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" href="https://unpkg.com/chota@0.8.0/dist/chota.min.css">
  <link rel="stylesheet" href="style.css">
  <script defer src="https://cdn.mainnet.cash/mainnet-1.0.9.js"></script>
  <script>window.exports = {}</script>
  <script defer src="https://unpkg.com/@download/blockies@1.0.3/dist/blockies.min.js"></script>
</head>

<body>
  <div>
    <header>
      <h1>My CashTokens Webwallet</h1>
      <b>Connected to chipnet</b>
      <div>
        <nav class="nav">
          <div class="nav-left">
            <div class="tabs">
              <a id="view0" class="view active" onclick="changeView(0)">BchWallet</a>
              <a id="view1" class="view" onclick="changeView(1)">MyTokens</a>
              <a id="view2" class="view" onclick="changeView(2)">CreateTokens</a>
            </div>
          </div>
        </nav>
      </div>
    </header>
  </div>
  <main>
    <div class="container">
      <div id="walletView">

        <fieldset style="margin-top: 15px;">
          <p class="grouped">
          <div>Wallet balance: <span id="balance" class="text-primary"></span></div>
          <div>Wallet token balance: <span id="tokenBalance" class="text-primary"></span></div>
          <div>Address: <span class="depositAddr" id="depositAddr"></span>
            <button type="button" style="background: none; padding: 0;" onclick="copyTextContent('depositAddr')">
              <img class="copyIcon" src="https://icongr.am/clarity/copy.svg?size=16&color=currentColor">
            </button>
          </div>
          <div class="is-center">Deposit QR</div>
          <div><img id="depositQr" class="depositQr" src="./images/qrcode.jpg" /></div>
          </p>
        </fieldset>
        <fieldset style="margin-top: 15px">
          <legend>Send tBCH to</legend>
          <p class="grouped">
            <input id="sendAddr" placeholder="address">
            <input id="sendAmount" placeholder="amount satoshis">
            <span class="maxButton" onclick="maxBch(event)">max</span>
          </p>

          <input type="button" id="send" value="Send">
        </fieldset>
      </div>

      <div id="tokenView" style="display: none;">
        <div id="noTokensFound"></div>
        <template id="token-template">
          <div class="item">
            <fieldset>
              <legend>
                <div id="tokenType"></div>
              </legend>
              <div class="tokenInfo">
                <div id="tokenIcon" class="tokenIcon"></div>
                <div>
                  <div id="tokenName"></div>
                  <div>
                    TokenId: <span id="tokenID" class="tokenID"></span>
                    <button type="button" style="background: none; padding: 0; " onclick="copyTokenID(event)">
                      <img class="copyIcon" src="https://icongr.am/clarity/copy.svg?size=16&color=currentColor">
                    </button>
                  </div>
                </div>
              </div>
              <div id="tokenCommitment"></div>
              <div id="tokenAmount"></div>
              <br>
              <div id="tokenSend" style="display: none;">
                Send these tokens to
                <p class="grouped">
                  <input id="tokenAddress" placeholder="token address">
                  <input id="sendTokenAmount" placeholder="amount tokens">
                  <span id="maxButton" class="maxButton">max</span>
                </p>
                <input type="button" id="sendSomeButton" value="Send">
              </div>
              <div id="nftSend" style="display: none;">
                Send this NFT to
                <p class="grouped">
                  <input id="tokenAddress" placeholder="tokenAddress">
                  <input type="button" id="sendNFT" value="Send NFT">
                </p>
              </div>
              <div id="nftMint" style="display: none;">
                Mint immutable NFT
                <p class="grouped">
                  <input id="commitmentInput" placeholder="commitment">
                  <input type="button" id="mintNFT" value="Mint NFT">
                </p>
              </div>
            </fieldset>
          </div>
        </template>

        <div id="Placeholder"></div>
      </div>

      <div id="createTokensView" style="display: none;">
        <fieldset class="item">
          <legend>Create new tokens</legend>
          <label for="newtokens">Select token-type:</label>
          <select name="newtokens" id="newtokens" onchange="selectTokenType(event)">
            <option value="fungibles">Fungible Tokens</option>
            <option value="mintingNFT">Minting NFT</option>
            <option value="immutableNFT">Immutable NFT</option>
          </select>
          <br>
          <div style="margin-bottom: 1em;">
            Planned tokenId:
            <span id="plannedTokenId">loading...</span>
            <button type="button" style="background: none; padding: 0;" onclick="copyTokenID(event,'plannedTokenId')">
              <img class="copyIcon" src="https://icongr.am/clarity/copy.svg?size=16&color=currentColor">
            </button>
          </div>
          <div style="margin-bottom: 1em;">
            Choose the total supply of these fungible tokens
            <input id="tokenSupply" placeholder="total supply">
          </div>
          <div class="hide" style="margin-bottom: 1em;">
            Add immutable commitment data to add to this NFT (hexadecimals only)
            <input id="inputNftCommitment" placeholder="commitment">
          </div>
          Process might take a few seconds... 
          <input type="button" id="createTokens" value="Create">
        </fieldset>
      </div>
      <br>
      <footer>
        <a href="https://github.com/mr-zwets/my-cashtokens-webwallet" target="_blank" id="githubLink">
          <div style="display: inline-block;">
            <img class="githublogo" src="./images/github.png" alt="Github logo">
          </div>
          <span>
            <p>
              inspect source code
            </p>
          </span>
        </a>
      </footer>
    </div>
  </main>

  <script type="module" src="./script.js"></script>
</body>

</html>